Skip to main content
Teams

List all teams

Returns all teams in your organization.

GET
/v2/teams

Response Structure

The response includes:

  • object - Always "list"
  • data - Array of team objects

Team Object

Each team includes:

  • id - Unique team identifier
  • name - Team display name
  • color - Team color in hex format
  • icon - Team icon (emoji, predefined, or external URL)
  • members - Array of admin IDs who are members of this team

Example Response

{
  "object": "list",
  "data": [
    {
      "object": "team",
      "id": "507f1f77bcf86cd799439011",
      "name": "Support Team",
      "color": "#3B82F6",
      "icon": {
        "value": "👥",
        "type": "emoji"
      },
      "members": ["5fef50c5e9458a0012f82456", "5fef50c5e9458a0012f82457"]
    }
  ]
}

Version Availability

This endpoint is only available in API version 2026-01-01.nova and newer.

Authorizationstringheaderrequired

API key as Bearer token. Use: Authorization: Bearer sk_...

Featurebase-Versionenum<string>header

API version for this request. Defaults to your organization's configured API version if not specified.

Available options: 2026-08-19.orbit, 2026-01-01.nova, 2025-12-12.clover
Example: 2026-08-19.orbit

Response

application/json

Success

dataobject[]required

Array of teams

objectenum<string>required

Object type identifier

Available options: list
Example: list